### Callable

- copyFile(src: PathLike, dest: PathLike, callback: function): void
- copyFile(src: PathLike, dest: PathLike, flags: number, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:1742

  Asynchronously copies src to dest. By default, dest is overwritten if it already exists. No arguments other than a possible exception are given to the callback function. Node.js makes no guarantees about the atomicity of the copy operation. If an error occurs after the destination file has been opened for writing, Node.js will attempt to remove the destination.

  #### Parameters

  - ##### src: PathLike

    A path to the source file.

  - ##### dest: PathLike

    A path to the destination file.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1753

  Asynchronously copies src to dest. By default, dest is overwritten if it already exists. No arguments other than a possible exception are given to the callback function. Node.js makes no guarantees about the atomicity of the copy operation. If an error occurs after the destination file has been opened for writing, Node.js will attempt to remove the destination.

  #### Parameters

  - ##### src: PathLike

    A path to the source file.

  - ##### dest: PathLike

    A path to the destination file.

  - ##### flags: number

    An integer that specifies the behavior of the copy operation. The only supported flag is fs.constants.COPYFILE_EXCL, which causes the copy operation to fail if dest already exists.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(src: PathLike, dst: PathLike, flags?: undefined | number): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:1769

  Asynchronously copies src to dest. By default, dest is overwritten if it already exists. No arguments other than a possible exception are given to the callback function. Node.js makes no guarantees about the atomicity of the copy operation. If an error occurs after the destination file has been opened for writing, Node.js will attempt to remove the destination.

  #### Parameters

  - ##### src: PathLike

    A path to the source file.

  - ##### dst: PathLike

  - ##### Optional flags: undefined | number

    An optional integer that specifies the behavior of the copy operation. The only supported flag is fs.constants.COPYFILE_EXCL, which causes the copy operation to fail if dest already exists.

  #### Returns Promise<void>

Generated using TypeDoc